Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TSS_Ref Class Reference

"Reference count" for thread-specific storage keys. More...

`#include <OS_NS_Thread.h>`

List of all members.

## Public Methods
| ACE_TSS_Ref (ACE_thread_t id)
| Constructor.
| ACE_TSS_Ref (void)
| Default constructor.
int | operator== (const ACE_TSS_Ref &) const
| Check for equality.
int | operator!= (const ACE_TSS_Ref &) const
| Check for inequality.
## Public Attributes
ACE_thread_t | tid_
| ID of thread using a specific key.

## Detailed Description

"Reference count" for thread-specific storage keys.

Since the <ACE_Unbounded_Stack> doesn't allow duplicates, the "reference count" is the identify of the thread_id.

## Constructor & Destructor Documentation

ACE_TSS_Ref::ACE_TSS_Ref | ( | ACE_thread_t | id | ) |

| Constructor.

ACE_TSS_Ref::ACE_TSS_Ref | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

ACE_SPECIAL_INLINE int ACE_TSS_Ref::operator!= | ( | const ACE_TSS_Ref & |  | ) | const

| Check for inequality.

int ACE_TSS_Ref::operator== | ( | const ACE_TSS_Ref & |  | ) | const

| Check for equality.

## Member Data Documentation

ACE_thread_t ACE_TSS_Ref::tid_

| ID of thread using a specific key.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_Thread.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_Thread.cpp